Upgrade Error

Hi, we are upgrading from 3.9.4 to 3.9.6.

The ‘make upgrade’ went ok but after the
’/opt/rt3/sbin/rt-setup-database --dba root --prompt-for-dba-password
–action upgrade’ we get this output:

[root@rt rt-3.9.6]# /opt/rt3/sbin/rt-setup-database --dba root
–prompt-for-dba-password --action upgrade
Can’t coerce array into hash at /opt/rt3/sbin/…/lib/RT/Lifecycle.pm line 599.
Compilation failed in require at /opt/rt3/sbin/…/lib/RT.pm line 415.

Any clue?

Thanks.-

Hi,

I’ll look into this later today. Suspect that you have custom lifecycles
defined in site config, please share it.

Regards, Ruslan. From phone.

Hi, we are upgrading from 3.9.4 to 3.9.6.

The ‘make upgrade’ went ok but after the
’/opt/rt3/sbin/rt-setup-database --dba root --prompt-for-dba-password
–action upgrade’ we get this output:

[root@rt rt-3.9.6]# /opt/rt3/sbin/rt-setup-database --dba root
–prompt-for-dba-password --action upgrade
Can’t coerce array into hash at /opt/rt3/sbin/…/lib/RT/Lifecycle.pm line